Subject: Re: public inbox links, was: Re: preserve untracked cache, was Re: What's cooking in git.git (Jun 2017, #01; Thu, 1)

From: Eric Wong <[email-masked]>
Date: Sat, 3 Jun 2017 01:24:49 +0000

Stefan Beller <[email-masked]> wrote:
> Today I learned again how public-inbox is awesome! Thanks Eric!

You're welcome :)

> * You can just copy the message ID INCLUDING the surrounding < >
>   and public inbox still just shows you the correct message. I had assumed
>   you would need to strip off the < > and I did so since.

Yeah, it's a fallback since it's probably a common mistake.
AFAIK, git-send-email also avoids redundantly adding '<>' and
only adds them if necessary.

> On Fri, Jun 2, 2017 at 5:26 PM, Junio C Hamano <[email-masked]> wrote:
<snip>
> > Issue #01 of June reports it in 'master':
> > https://public-inbox.org/git/<[email-masked]>
>
> * However with the < > unstripped, the awesomeness is limited:
>   Some tools (including my mail reader as well as public inbox itself[1])
>   do not recognize the link when there are < > in there.

Yeah, that's actually bad form on Junio's part.  public-inbox
can only support it up to an extent...

I seem to recall seeing some standard or style recommendation
that URLs (of any type) be surrounded by angle brackets in text:

<https://public-inbox.org/git/[email-masked]/>

So public-inbox (and other parsers) should stop looking for URLs
outside of the '<>'

But I think the newer style manuals state having spaces around the
URL is enough.

> While the second point is not the end of the world, it's still
> slightly annoying,
> which is why I thought I'll point it out here.
> 
> [1] https://public-inbox.org/git/[email-masked]/